# Uses of Class
java.awt.image.VolatileImage

Packages that use VolatileImage
Package
Description
java.awt
Contains all of the classes for creating user interfaces and for painting graphics and images.

## Uses of VolatileImage in java.awt

Fields in java.awt declared as VolatileImage
Modifier and Type
Field
Description
`protected VolatileImage[]`
Component.BltBufferStrategy.`backBuffers`
The back buffers
`protected VolatileImage`
Component.FlipBufferStrategy.`drawVBuffer`
The drawing buffer as a volatile image
Methods in java.awt that return VolatileImage
Modifier and Type
Method
Description
`VolatileImage`
GraphicsConfiguration.`createCompatibleVolatileImage​(int width, int height)`
Returns a `VolatileImage` with a data layout and color model compatible with this `GraphicsConfiguration`.
`VolatileImage`
GraphicsConfiguration.`createCompatibleVolatileImage​(int width, int height, int transparency)`
Returns a `VolatileImage` with a data layout and color model compatible with this `GraphicsConfiguration`.
`VolatileImage`
GraphicsConfiguration.`createCompatibleVolatileImage​(int width, int height, ImageCapabilities caps)`
Returns a `VolatileImage` with a data layout and color model compatible with this `GraphicsConfiguration`, using the specified image capabilities.
`VolatileImage`
GraphicsConfiguration.`createCompatibleVolatileImage​(int width, int height, ImageCapabilities caps, int transparency)`
Returns a `VolatileImage` with a data layout and color model compatible with this `GraphicsConfiguration`, using the specified image capabilities and transparency value.
`VolatileImage`
Component.`createVolatileImage​(int width, int height)`
Creates a volatile off-screen drawable image to be used for double buffering.
`VolatileImage`
Component.`createVolatileImage​(int width, int height, ImageCapabilities caps)`
Creates a volatile off-screen drawable image, with the given capabilities.